> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.trykeet.com/overview/integrations/using-our-actions/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.trykeet.com/_mcp/server. Using our API abstractions is extremely simple. Just include the `accountToken` you received from the following the [Link flow](/overview/quick-start) in the `X-Account-Token` header of your requests. #### Example This is an example request to get recent orders from an Amazon Business account: ### Request GET [https://api.trykeet.com/v1/amazon-business/orders](https://api.trykeet.com/v1/amazon-business/orders) ```curl curl https://api.trykeet.com/v1/amazon-business/orders \ -H "X-Account-Token: X-Account-Token" \ -H "Authorization: Bearer " ``` ```typescript import { KeetClient, Keet } from "@keet-tech/keet-node-client"; const client = new KeetClient({ token: "YOUR_TOKEN", accountToken: "YOUR_ACCOUNT_TOKEN" }); await client.integrations.amazonBusiness.getOrders({ timespan: Keet.OrdersTimespan.ThirtyDays, limit: 1, startIndex: 1 }); ``` ```python import requests url = "https://api.trykeet.com/v1/amazon-business/orders" headers = { "X-Account-Token": "X-Account-Token", "Authorization": "Bearer " } response = requests.get(url, headers=headers) print(response.json()) ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.trykeet.com/v1/amazon-business/orders" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-Account-Token", "X-Account-Token") req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.trykeet.com/v1/amazon-business/orders") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-Account-Token"] = 'X-Account-Token' request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.trykeet.com/v1/amazon-business/orders") .header("X-Account-Token", "X-Account-Token") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.trykeet.com/v1/amazon-business/orders', [ 'headers' => [ 'Authorization' => 'Bearer ', 'X-Account-Token' => 'X-Account-Token', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.trykeet.com/v1/amazon-business/orders"); var request = new RestRequest(Method.GET); request.AddHeader("X-Account-Token", "X-Account-Token"); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "X-Account-Token": "X-Account-Token", "Authorization": "Bearer " ] let request = NSMutableURLRequest(url: NSURL(string: "https://api.trykeet.com/v1/amazon-business/orders")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ## Check out more of our built in abstractions #### [Integration Reference](/api-reference/api-reference/integrations)